Bug 753179 - Allow controlling of environment variables
Summary: Allow controlling of environment variables
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: mock
Version: el6
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Clark Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-11 14:35 UTC by Davi Arnaut
Modified: 2011-12-13 19:57 UTC (History)
2 users (show)

Fixed In Version: mock-1.0.25-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-10 19:52:45 UTC
Type: ---


Attachments (Terms of Use)
Hackish patch (5.54 KB, patch)
2011-11-11 14:35 UTC, Davi Arnaut
no flags Details | Diff
updated patch to add environment variable configs (6.41 KB, patch)
2011-11-11 19:04 UTC, Clark Williams
no flags Details | Diff

Description Davi Arnaut 2011-11-11 14:35:11 UTC
Created attachment 533082 [details]
Hackish patch

It would be nice if the environment variables of the chroot could be controlled through the config files.

Comment 1 Clark Williams 2011-11-11 15:06:45 UTC
Thanks, wish I'd thought of that :)

I've pulled it into my work branch and I'll play with it a bit (although it looks good to me on initial read). 

I don't have any firm plans for a release right now, so probably in a week or two. 

Thanks

Comment 2 Clark Williams 2011-11-11 15:21:21 UTC
I'm guessing you generated that patch from a development branch of yours, since it doesn't match my master branch. I'm missing the parameter you've added to doChroot: printOutput.

Comment 3 Davi Arnaut 2011-11-11 16:39:18 UTC
Yeah, my branch has the patch for BZ#744761, which is where that parameter came from.

Comment 4 Clark Williams 2011-11-11 17:22:30 UTC
whew. Forgot about that and stupidly didn't check the branch 'unbuffered-chroot-output' before posting to BZ. Sigh

Comment 5 Clark Williams 2011-11-11 19:04:07 UTC
Created attachment 533150 [details]
updated patch to add environment variable configs

Davi, 

Here's what I ended up with. Please review.

Comment 6 Davi Arnaut 2011-11-11 22:02:34 UTC
Looks good, thanks!

Comment 7 Fedora Update System 2011-11-27 23:54:11 UTC
mock-1.1.18-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.18-1.el6

Comment 8 Fedora Update System 2011-11-27 23:54:43 UTC
mock-1.1.18-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mock-1.1.18-1.fc15

Comment 9 Fedora Update System 2011-11-27 23:55:15 UTC
mock-1.0.25-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.25-1.el5

Comment 10 Fedora Update System 2011-11-27 23:55:42 UTC
mock-1.1.18-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mock-1.1.18-1.fc14

Comment 11 Fedora Update System 2011-11-27 23:56:08 UTC
mock-1.1.18-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mock-1.1.18-1.fc16

Comment 12 Fedora Update System 2011-11-28 19:27:38 UTC
Package mock-1.0.25-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mock-1.0.25-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2011-5097/mock-1.0.25-1.el5
then log in and leave karma (feedback).

Comment 13 Fedora Update System 2011-12-10 19:52:45 UTC
mock-1.1.18-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2011-12-10 19:57:16 UTC
mock-1.1.18-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2011-12-10 20:06:23 UTC
mock-1.1.18-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2011-12-13 19:56:46 UTC
mock-1.1.18-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2011-12-13 19:57:17 UTC
mock-1.0.25-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.